For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar productos
      • POSTCrear un producto
      • GETObtener un producto
      • PUTActualizar un producto
      • DELArchivar un producto
LogoLogo
Referencia APIProducts

Obtener un producto

GET
https://app.recurrente.com/api/products/:id
GET
/api/products/:id
$curl https://app.recurrente.com/api/products/id \
> -H "X-SECRET-KEY: <apiKey>"
200Retrieved
1{
2 "id": "prod_9lstwgbr",
3 "status": "active",
4 "name": "El nombre de tu producto",
5 "description": "string",
6 "success_url": "string",
7 "cancel_url": "string",
8 "custom_terms_and_conditions": "string",
9 "phone_requirement": "none",
10 "address_requirement": "none",
11 "billing_info_requirement": "none",
12 "has_dynamic_pricing": false,
13 "prices": [
14 {
15 "id": "price_rky4dog7",
16 "amount_in_cents": 500,
17 "currency": "GTQ",
18 "charge_type": "one_time",
19 "billing_interval": "month",
20 "billing_interval_count": 1,
21 "periods_before_automatic_cancellation": 1,
22 "free_trial_interval": "string",
23 "free_trial_interval_count": 1,
24 "proration_behavior": "none",
25 "billing_cycle_anchor_day": 1,
26 "defer_to_billing_day": true
27 }
28 ],
29 "storefront_link": "https://app.recurrente.com/s/surf-office/el-nombre-de-tu-producto",
30 "metadata": {},
31 "custom_fields": [
32 {
33 "id": "ccf_xxxxxxxxxxxx",
34 "key": "engraving",
35 "type": "text",
36 "label": {
37 "_original": "Mensaje de grabado",
38 "en": "Engraving message",
39 "es": "Mensaje de grabado"
40 },
41 "optional": false,
42 "minimum_length": 1,
43 "maximum_length": 1,
44 "default_value": "string",
45 "options": [
46 {
47 "label": "string",
48 "value": "string"
49 }
50 ]
51 }
52 ]
53}

Obtén los detalles de un producto específico.

Was this page helpful?
Previous

Actualizar un producto

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired
ID del producto

Response

Detalles del producto
idstring

ID único del producto

statusstring
Estado del producto
namestring
Nombre del producto
descriptionstring or null

Descripción del producto

success_urlstring or null

URL de redirección después de un pago exitoso

cancel_urlstring or null

URL de redirección cuando el comprador cancela

custom_terms_and_conditionsstring or null

Términos y condiciones personalizados

phone_requirementstring

Requerimiento de teléfono

address_requirementstring

Requerimiento de dirección

billing_info_requirementstring

Requerimiento de información fiscal

has_dynamic_pricingboolean

Si usa precio dinámico

priceslist of objects
Precios del producto
storefront_linkstring

Link público del producto en la tienda

metadatamap from strings to strings or null
Metadata personalizada
custom_fieldslist of objects
Definiciones de campos personalizados activos en el checkout.